import { exchanges, RabbbitStatus, IRabbitMSG } from '../interfaces/common';
export default class rabbit {
    private connection;
    private messageStore;
    private connectionPromise;
    private STATUS;
    constructor(url: string);
    private connector;
    private sendMessageQueue;
    getStatus(): RabbbitStatus;
    getMessageQueue(): IRabbitMSG[];
    pub(Queue: string, Msg: string): void;
    sub(Queue: string, callback: (msg: string) => void): void;
    createQueue(queue: string): void;
    deleteQueue(queue: string): void;
    createExchange(name: string, type: exchanges): void;
    deleteExchange(name: string): void;
    bindQueue(queueName: string, exchangeName: string, pattern?: string, args?: any): void;
}
